<?php 
/*
 * this file rendering admin options for the plugin
* options are defined in admin/admin-options.php
*/

$this -> load_template('admin/options.php');
//$this -> pa($this -> the_options);

// $this -> pa($this -> plugin_settings);

$sendUpdate = array();
?>

<style type="text/css">
	.wooconvo-setting label{
		display: block;
	}
</style>


<h2>
	<?php echo $this->plugin_meta['name']?>
</h2>
<div id="tab-container" class="tab-container wooconvo-setting">
	<ul class='etabs'>
		<?php foreach($this -> the_options as $id => $option){
			
			?>

		<li class='tab'><a href="#<?php echo $id?>"><?php echo $option['name']?>
		</a></li>

		<?php }?>
	</ul>


	<?php foreach($this -> the_options as $id => $options){
		
		// reseting the update data array
		
		
		?>

	<div id="<?php echo $id?>" class="general-settings">
		<p>
			<?php echo $options['desc']?>
		</p>


		<ul>
			<?php foreach($options['meat'] as $key => $data){
			
				
				$field_type = isset($data['type']) ? $data['type'] : '';
				$field_name = isset($data['id']) ? $data['id'] : '';
				$field_label = isset($data['label']) ? $data['label'] : '';
				$field_desc = isset($data['desc']) ? $data['desc'] : '';
				$field_help = isset($data['help']) ? $data['help'] : '';
				
				$sendUpdate[$field_name] = array('type'	=> $field_type);
				
		
				$field_value = isset($this->plugin_settings[$field_name]) ? $this->plugin_settings[$field_name] : '';
				$field_value = $field_type == 'checkbox' ? $field_value : stripcslashes($field_value);
				
				?>

			<li id="<?php echo $key?>" class="plugin-field-set">			
			<?php switch($field_type){
					
				case 'text':
					?>
				<ul>
					<li><h4><?php echo $field_desc?> </h4>
					<label for="<?php echo $field_name?>"><?php echo $field_label?> 
					</label><br />
					<input type="text" name="<?php echo $field_name?>" id="<?php echo $field_name?>" value="<?php echo $field_value?>" class="regular-text">
					<em><?php echo $field_help?> </em> 
					</li>
				</ul> <?php 
				break;
				
				
				case 'textarea':
					$ta_val = $field_value;
					?>
								<ul>
									<li><h4><?php echo $field_desc?> </h4>
									<label for="<?php echo $field_name?>"><?php echo $field_label?></label><br /> 
									<textarea cols="45" rows="6" name="<?php echo $field_name?>" id="<?php echo $field_name?>"><?php echo $ta_val?></textarea>
									<br />
									<em><?php echo $field_help?> </em> 
									</li>
								</ul> 
				<?php 
				break;

				case 'checkbox':?>
				<ul>
					<li>
					<h4><?php echo $field_desc?> </h4>
					
					<?php foreach($data['options'] as $k => $label){?>
					
						<label for="<?php echo $field_name.'-'.$k?>"> 
						<input type="checkbox" name="<?php echo $field_name?>" id="<?php echo $field_name.'-'.$k?>" value="<?php echo $k?>"> <?php echo $label?>
						</label>
					<?php }?>
					
					<br />
					<em><?php echo $field_help?> </em> 
					</li>
					<!-- setting value -->
					<script>
					setChecked('<?php echo $field_name?>', '<?php echo json_encode($field_value)?>');
					</script>
				</ul>
				
								
				<?php break;
				
				
				case 'radio':?>
								<ul>
									<li>
									<h4><?php echo $field_desc?> </h4>
									
									<?php foreach($data['options'] as $k => $label){?>
									
										<label for="<?php echo $field_name.'-'.$k?>"> <input type="radio" name="<?php echo $field_name?>" id="<?php echo $field_name.'-'.$k?>" value="<?php echo $k?>"> <?php echo $label?>
										</label>
									<?php }?>
									
									<br />
									<em><?php echo $field_help?> </em> 
									</li>
									<script>
									setCheckedRadio('<?php echo $field_name?>', '<?php echo $field_value?>');
									</script>
								</ul>
								
												
				<?php break;
				
				case 'select':?>
								<ul>
									<li>
									<h4><?php echo $field_desc?> </h4>
									
										<label for="<?php echo $field_name?>"><?php echo $field_label?> 										 
										<select name="<?php echo $field_name?>" id="<?php echo $field_name?>">
											<option value=""><?php echo $data['default']?></option>
											
											<?php foreach($data['options'] as $k => $label){
												
													$selected = ($k == $this ->plugin_settings[ $data['id'] ]) ? 'selected = "selected"' : '';
													
													echo '<option value="'.$k.'" '.$selected.'>'.$label.'</option>';
											}
												?>
											
										</select> 
										</label>
									
									<br />
									<em><?php echo $field_help?> </em>
									</li>
								</ul>
								
								<?php break;
								
			case 'para':?>
											<ul>
												<li>
												<h4><?php echo $field_desc?> </h4>
												
												<br />
												<em><?php echo $field_help?> </em>
												</li>
											</ul>
											
											<?php break;
			
		case 'file':?>
													<ul>
														<li>
														<?php 
														$file = $this->plugin_meta['path'] .'/templates/admin/'.$data['id'];
														if(file_exists($file))
															include $file;
														else 	
															echo 'file not exists '.$file;
														?> 
														</li>
													</ul>
													
													<?php break;

			} ?></li>
			<?php }
			
			?>
		</ul>
		
		
	</div>

	<?php 
	}
	
	?>
	
	<p><button class="button button-primary" onclick=updateOptions('<?php echo json_encode($sendUpdate)?>')><?php _e('Save settings', 'wooconvo')?></button></p>
</div>